Name:		libkdcraw
Summary:	C++ interface around LibRaw library
Version: 4.9.3
Release: 1
Epoch:		2
Group:		System/Libraries
License:	GPLv2
URL:		http://www.kde.org
Source:		ftp://ftp.kde.org/pub/kde/stable/%{version}/src/%{name}-%{version}.tar.xz
BuildRequires:	automoc4
BuildRequires:	kdelibs4-devel
BuildRequires:	jpeg-devel
BuildRequires:	pkgconfig(lcms)

%description
Libkdcraw is a C++ interface around LibRaw library used to decode RAW
picture files. More information about LibRaw can be found at
http://www.libraw.org.

%files
%doc README AUTHORS NEWS TODO COPYING

#----------------------------------------------------------------------

%package common
Summary:	Non-library files for the kdcraw library
Group:		System/Libraries

%description common
Common files for the kdcraw library

%files common
%{_kde_appsdir}/libkdcraw
%{_kde_iconsdir}/hicolor/*/apps/kdcraw.png

#------------------------------------------------

%define kdcraw_major 21
%define libkdcraw %mklibname kdcraw %{kdcraw_major}

%package -n %{libkdcraw}
Summary:	Kdcraw library
Group:		System/Libraries
Obsoletes:	%{mklibname kdcraw 20} < %{EVRD}

%description -n %{libkdcraw}
Libkdcraw is a C++ interface around LibRaw library used to decode RAW
picture files. More information about LibRaw can be found at
http://www.libraw.org.

%files -n %{libkdcraw}
%{_kde_libdir}/libkdcraw.so.%{kdcraw_major}*

#-----------------------------------------------------------------------------

%package devel
Summary:	Devel stuff for %{name}
Group:		Development/KDE and Qt
Requires:	kdelibs4-devel
Requires:	%{libkdcraw} = %{EVRD}
Requires:	pkgconfig(lcms)
Conflicts:	kdegraphics4-devel < 2:4.6.90

%description devel
This package contains header files needed if you wish to build applications
based on %{name}.

%files devel
%{_includedir}/libkdcraw/
%{_kde_libdir}/libkdcraw.so
%{_kde_libdir}/pkgconfig/libkdcraw.pc

#----------------------------------------------------------------------

%prep
%setup -q

%build
%cmake_kde4
%make

%install
%makeinstall_std -C build



%changelog
* Wed Nov 07 2012 Crispin Boylan <crisb@mandriva.org> 2:4.9.3-1
+ Revision: 822069
- New release

* Wed Oct 03 2012 Crispin Boylan <crisb@mandriva.org> 2:4.9.2-1
+ Revision: 818193
- New release

* Sat Aug 04 2012 Crispin Boylan <crisb@mandriva.org> 2:4.9.0-1
+ Revision: 811746
- New release
- New release
- New release

* Fri Jul 27 2012 Andrey Bondrov <abondrov@mandriva.org> 2:4.8.97-2
+ Revision: 811183
- Update BuildRequires, obsolete old library, adjust spec cosmetics

* Sun Jul 15 2012 Crispin Boylan <crisb@mandriva.org> 2:4.8.97-1
+ Revision: 809357
- New release

* Fri Jun 08 2012 Crispin Boylan <crisb@mandriva.org> 2:4.8.4-1
+ Revision: 803588
- New release

* Fri May 04 2012 Crispin Boylan <crisb@mandriva.org> 2:4.8.3-1
+ Revision: 796072
- New release

* Wed Apr 18 2012 Crispin Boylan <crisb@mandriva.org> 2:4.8.2-1
+ Revision: 791806
- New release

* Wed Mar 07 2012 Nicolas Lécureuil <nlecureuil@mandriva.com> 2:4.8.1-1
+ Revision: 782880
- New upstream tarball

* Thu Jan 19 2012 Nicolas Lécureuil <nlecureuil@mandriva.com> 2:4.8.0-1
+ Revision: 762490
- New upstream tarball

* Fri Jan 06 2012 Nicolas Lécureuil <nlecureuil@mandriva.com> 2:4.7.97-1
+ Revision: 758078
- New upstream tarball

* Thu Dec 22 2011 Nicolas Lécureuil <nlecureuil@mandriva.com> 2:4.7.95-1
+ Revision: 744558
- New upstream tarball

* Fri Dec 09 2011 Nicolas Lécureuil <nlecureuil@mandriva.com> 2:4.7.90-1
+ Revision: 739313
- New upstream tarball $NEW_VERSION

* Tue Nov 22 2011 Nicolas Lécureuil <nlecureuil@mandriva.com> 2:4.7.80-1
+ Revision: 732316
- Add Automoc4 as buildrequires ( to workaround a rpm5/iurt bug)
- New upstream tarball 4.7.80

* Wed Sep 07 2011 Nicolas Lécureuil <nlecureuil@mandriva.com> 2:4.7.41-1
+ Revision: 698606
- imported package libkdcraw

